<?php


namespace Schaffen\Financial\BillingRoute\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Models\Address;
use Schaffen\Core\Person\Models\Contact;
use Schaffen\Core\Person\Models\Person;

class ClientRoute extends Model
{
    protected $table = "movimentacao.rota_cliente";
    protected $primaryKey = "roc_codigo";
    protected $fillable = ["roc_fk_rot_codigo","roc_fk_pes_codigo"];

    public $timestamps = false;

    //cliente
    public function person(){
        return $this->belongsTo(Person::class, 'roc_fk_pes_codigo');
    }

    public function address(){
        return $this->belongsTo(Address::class, 'roc_fk_pes_codigo');
    }

    public function contact()
    {
        return $this->hasMany(Contact::class, 'peco_fk_pes_codigo');
    }

    public function route()
    {
        return $this->belongsTo(Route::class, 'roc_fk_rot_codigo');
    }
}