<?php


namespace Schaffen\Financial\FinancialMovement\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\FinancialMovement\Models\ImportedFinancialMovement;

class ImportedFinancialMovementRepository extends Repository
{
    protected $model = ImportedFinancialMovement::class;
    protected $searchableFields = [
        ["field" => "mfim_fk_mvf_codigo"],
        ["field" => "mfim_fk_par_codigo"],
        ["field" => "mfim_status"],
        ["field" => "mfi_data_importado", "operator" => '>=', "name" => "mfi_data_importado_begin"],
        ["field" => "mfi_data_importado", "operator" => '<=', "name" => "mfi_data_importado_end"],
    ];

    public function update(array $filters = [], array $values = [])
    {
        if(empty($values)){
            $this->first($filters);
        }
        $this->applyFilters($filters);
        $query = $this->newQuery();
        if (!empty($this->filters)) {
            $this->applyCustomFilters();
            $this->injectFiltersOnQuery();
        }
        $this->returnable = $query->update($values);
        return $this->present(true);
    }
}