<?php


namespace Schaffen\Financial\Price\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\Price\Models\ProductPrice;

class ProductPriceRepository extends Repository
{
    protected $model = ProductPrice::class;
    protected $searchableFields = [
        ['field' => 'tpp_fk_tap_codigo']
    ];

    protected function applyCustomFilters()
    {
        extract($this->filters);
    }

    public function buscaPrecos($values){
        return ProductPrice::join('produto.produto_variedade_embalagem', 'tpp_fk_pve_codigo', '=', 'pve_codigo')
            ->join('produto.produto_variedade', 'pve_fk_prv_codigo', '=', 'prv_codigo')
            ->join('produto.produto', 'prv_fk_pro_codigo', '=', 'pro_codigo')
            ->where('tpp_fk_tap_codigo', $values)
            ->where('produto.produto.pro_mobile', 1)
            ->get();
    }
}